Bug 35457 - upgrade 7J to 7.1:canna can't be defaultly started up in emacs
upgrade 7J to 7.1:canna can't be defaultly started up in emacs
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-04-10 10:38 EDT by Bill Huang
Modified: 2007-04-18 12:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-11 12:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Huang 2001-04-10 10:38:52 EDT
test with qa0408.4 
After upgrading full 7.0.1j to 7.1 by NFS,Canna is not defaultly started up
in emacs.
emacs failed to load-library "can-n-egg" when it is started up.
Comment 1 Trond Eivind Glomsrxd 2001-04-10 10:51:19 EDT
Why is this any different than a 7.1 install?
Comment 2 Bill Huang 2001-04-10 23:27:06 EDT
Sorry,my fault.Actually after not only 7.1 upgrade but also fresh 7.1
install,canna is not running defaultly.

In 7.0j,~/.emacs.el was also used as init file and load-library "can-n-egg" was
done after emacs was started.
However,in 7.1,only ~/.emacs is used as init file,and after upgrading 7.0 to
7.1,~/.emacs.el is not removed 
and is still used as init file.
Comment 3 Trond Eivind Glomsrxd 2001-04-11 12:29:18 EDT
Canna is running on Japanese install, if not, file a bug against that. We can't
do anything with files in a user's home directory, doing it this way was
bad in the 7.0J package.

Note You need to log in before you can comment on or make changes to this bug.